Optimizer File Reference
`#include <osg/NodeVisitor>`
`#include <osg/Matrix>`
`#include <osg/Geometry>`
`#include <osg/Transform>`
`#include <osg/Texture2D>`
`#include <osgUtil/Export>`
`#include <set>`

Go to the source code of this file.

## Classes

class | osgUtil::BaseOptimizerVisitor
class | osgUtil::Optimizer
struct | osgUtil::Optimizer::IsOperationPermissibleForObjectCallback
class | osgUtil::Optimizer::FlattenStaticTransformsVisitor
class | osgUtil::Optimizer::FlattenStaticTransformsDuplicatingSharedSubgraphsVisitor
class | osgUtil::Optimizer::CombineStaticTransformsVisitor
class | osgUtil::Optimizer::RemoveEmptyNodesVisitor
class | osgUtil::Optimizer::RemoveRedundantNodesVisitor
class | osgUtil::Optimizer::RemoveLoadedProxyNodesVisitor
class | osgUtil::Optimizer::TessellateVisitor
class | osgUtil::Optimizer::CombineLODsVisitor
class | osgUtil::Optimizer::StateVisitor
class | osgUtil::Optimizer::MergeGeodesVisitor
class | osgUtil::Optimizer::MakeFastGeometryVisitor
class | osgUtil::Optimizer::MergeGeometryVisitor
class | osgUtil::Optimizer::SpatializeGroupsVisitor
class | osgUtil::Optimizer::CopySharedSubgraphsVisitor
class | osgUtil::Optimizer::TextureVisitor
class | osgUtil::Optimizer::FlattenBillboardVisitor
class | osgUtil::Optimizer::TextureAtlasBuilder
class | osgUtil::Optimizer::TextureAtlasBuilder::Source
class | osgUtil::Optimizer::TextureAtlasBuilder::Atlas
class | osgUtil::Optimizer::TextureAtlasVisitor
class | osgUtil::Optimizer::StaticObjectDetectionVisitor
class | osgUtil::Optimizer::BufferObjectVisitor

## Namespaces

namespace | osgUtil

## Macros

#define | OSGUTIL_OPTIMIZER

## Macro Definition Documentation

## OSGUTIL_OPTIMIZER

#define OSGUTIL_OPTIMIZER